import CryptoJS from 'crypto-js'

export function encryptionLogin() {

  var keyHex = CryptoJS.enc.Utf8.parse('jichuang')

  // 用户名加密
  var desLoginId = CryptoJS.DES.encrypt('镇领导', keyHex, {
    iv: CryptoJS.enc.Utf8.parse('junln.cn'),
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
  })
  // 密码加密
  var desPassword = CryptoJS.DES.encrypt('123456', keyHex, {
    iv: CryptoJS.enc.Utf8.parse('junln.cn'),
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
  })

  return {
    LoginId: desLoginId.toString(),
    Password: desPassword.toString(),
  }
}
